当前位置: 代码迷 >> Java Web开发 >> JDK 1.4 停能用 hibernate3 吗
  详细解决方案

JDK 1.4 停能用 hibernate3 吗

热度:397   发布时间:2016-04-17 15:12:22.0
JDK 1.4 下能用 hibernate3 吗?
在   JDK   1.5   下写的程序部署到   JDK   1.4   下的时候总报错...

javax.servlet.ServletException:   org/hibernate/HibernateException   (Unsupported   major.minor   version   49.0)
org.apache.struts.actions.DispatchAction.dispatchMethod(DispatchAction.java:298)
org.apache.struts.actions.DispatchAction.execute(DispatchAction.java:194)
org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:419)
org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:224)
org.apache.struts.action.ActionServlet.process(ActionServlet.java:1192)
org.apache.struts.action.ActionServlet.doGet(ActionServlet.java:412)
javax.servlet.http.HttpServlet.service(HttpServlet.java:689)
javax.servlet.http.HttpServlet.service(HttpServlet.java:802)




------解决方案--------------------
没遇过,帮up
------解决方案--------------------
可以
------解决方案--------------------
org/hibernate/HibernateException (Unsupported major.minor version 49.0)
这个错误本身是说版本有冲突,需要更换JDK,至于能不能在1.4下跑,没试过
------解决方案--------------------
应该是不用行得吧。HIbernate3中使用了一些JDK1.5以上的特性。
在JDK1.4下运行很容易出问题的。
还是想办法升级到1.5吧。
不然以后的维护总会出莫名其妙的问题。
  相关解决方案
本站暂不开放注册!
内测阶段只得通过邀请码进行注册!
 
  • 最近登录:Sat Dec 15 13:37:59 CST 2018
  • 最近登录:Sat Dec 15 13:37:59 CST 2018
  • 最近登录:Sat Dec 15 13:37:59 CST 2018
  • 最近登录:Sat Dec 15 13:37:59 CST 2018
  • 最近登录:Sat Dec 15 13:37:59 CST 2018